<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: SmarActCommand Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classSmarActCommand-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SmarActCommand Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="SmarActCommand_8hpp_source.html">SmarActCommand.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for SmarActCommand:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActCommand__inherit__graph.png" border="0" usemap="#SmarActCommand_inherit__map" alt="Inheritance graph"/></div>
<map name="SmarActCommand_inherit__map" id="SmarActCommand_inherit__map">
<area shape="rect" id="node3" href="classCommand__SA__GetPosition__S.html" title="{Command_SA_GetPosition_S\n||+ Command_SA_GetPosition_S()\l+ ~Command_SA_GetPosition_S()\l+ Send()\l}" alt="" coords="5,269,232,389"/><area shape="rect" id="node5" href="classCommand__SA__GetStatus__S.html" title="{Command_SA_GetStatus_S\n||+ Command_SA_GetStatus_S()\l+ ~Command_SA_GetStatus_S()\l+ Send()\l}" alt="" coords="256,269,472,389"/><area shape="rect" id="node7" href="classCommand__SA__GotoPositionAbsolute__S.html" title="{Command_SA_GotoPositionAbsolute_S\n||+ Command_SA_GotoPositionAbsolute_S()\l+ ~Command_SA_GotoPosition\lAbsolute_S()\l+ Send()\l}" alt="" coords="496,261,771,398"/><area shape="rect" id="node9" href="classCommand__SA__SetClosedLoopMaxFrequency__S.html" title="{Command_SA_SetClosedLoop\lMaxFrequency_S\n||+ Command_SA_SetClosedLoop\lMaxFrequency_S()\l+ ~Command_SA_SetClosedLoop\lMaxFrequency_S()\l+ Send()\l}" alt="" coords="795,243,1016,415"/><area shape="rect" id="node11" href="classCommand__SA__SetClosedLoopMoveSpeed__S.html" title="{Command_SA_SetClosedLoop\lMoveSpeed_S\n||+ Command_SA_SetClosedLoop\lMoveSpeed_S()\l+ ~Command_SA_SetClosedLoop\lMoveSpeed_S()\l+ Send()\l}" alt="" coords="1040,243,1261,415"/><area shape="rect" id="node13" href="classCommand__SA__Stop__S.html" title="{Command_SA_Stop_S\n||+ Command_SA_Stop_S()\l+ ~Command_SA_Stop_S()\l+ Send()\l}" alt="" coords="1285,269,1469,389"/></map>
</div>
<div class="dynheader">
Collaboration diagram for SmarActCommand:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActCommand__coll__graph.png" border="0" usemap="#SmarActCommand_coll__map" alt="Collaboration graph"/></div>
<map name="SmarActCommand_coll__map" id="SmarActCommand_coll__map">
<area shape="rect" id="node2" href="classSmarActResult.html" title="{SmarActResult\n|# _status\l# _value\l|+ SmarActResult()\l+ GetDescription()\l+ ~SmarActResult()\l+ Status()\l+ GetStatusDescription()\l+ SetStatus()\l+ SetValue()\l+ Value()\l+ StatusMap()\l}" alt="" coords="5,6,171,247"/></map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a4bc331287440d28b8d86cbdf86abaf58"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActCommand.html#a4bc331287440d28b8d86cbdf86abaf58">SmarActCommand</a> ()</td></tr>
<tr class="memitem:a2dfce200a3d263d7f99e3f13706b5a31"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActCommand.html#a2dfce200a3d263d7f99e3f13706b5a31">~SmarActCommand</a> ()</td></tr>
<tr class="memitem:a85967ae65fb61b8914afac5e6e0611d0"><td class="memItemLeft" align="right" valign="top">SA_STATUS&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActCommand.html#a85967ae65fb61b8914afac5e6e0611d0">Status</a> ()</td></tr>
<tr class="memitem:a736733290d8426a79e7d57249fae7dc1"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActCommand.html#a736733290d8426a79e7d57249fae7dc1">GetStatusDescription</a> ()</td></tr>
<tr class="memitem:a91c76eaca80819d476b5580e5ac314b1"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActCommand.html#a91c76eaca80819d476b5580e5ac314b1">ResultValue</a> ()</td></tr>
<tr class="memitem:a8e91df4e395208ca3081c8d762c25ac1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActCommand.html#a8e91df4e395208ca3081c8d762c25ac1">Failed</a> ()</td></tr>
<tr class="memitem:ac9c52396f6c035492beee52a024b6987"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActCommand.html#ac9c52396f6c035492beee52a024b6987">RetryOnceAllowed</a> ()</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:ac66b03ef6a7b24b8edceb5ff89fbce16"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classSmarActResult.html">SmarActResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActCommand.html#ac66b03ef6a7b24b8edceb5ff89fbce16">_result</a></td></tr>
</table>
<h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4bc331287440d28b8d86cbdf86abaf58"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SmarActCommand::SmarActCommand </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a2dfce200a3d263d7f99e3f13706b5a31"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SmarActCommand::~SmarActCommand </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2>Member Function Documentation</h2>
<a class="anchor" id="a8e91df4e395208ca3081c8d762c25ac1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool SmarActCommand::Failed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActCommand_a8e91df4e395208ca3081c8d762c25ac1_cgraph.png" border="0" usemap="#classSmarActCommand_a8e91df4e395208ca3081c8d762c25ac1_cgraph" alt=""/></div>
<map name="classSmarActCommand_a8e91df4e395208ca3081c8d762c25ac1_cgraph" id="classSmarActCommand_a8e91df4e395208ca3081c8d762c25ac1_cgraph">
<area shape="rect" id="node3" href="classSmarActResult.html#acdb3c04a66542d2b2fe88ae11573604b" title="SmarActResult::Status" alt="" coords="229,5,387,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActCommand_a8e91df4e395208ca3081c8d762c25ac1_icgraph.png" border="0" usemap="#classSmarActCommand_a8e91df4e395208ca3081c8d762c25ac1_icgraph" alt=""/></div>
<map name="classSmarActCommand_a8e91df4e395208ca3081c8d762c25ac1_icgraph" id="classSmarActCommand_a8e91df4e395208ca3081c8d762c25ac1_icgraph">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html#a8d890c5c08575507135c8ad6c96ce7df" title="SmarActActuatorAxis\l::GotoAsync" alt="" coords="484,5,631,51"/><area shape="rect" id="node7" href="classSmarActActuatorAxis.html#ac32df6ae546589def458798c5feb84da" title="SmarActActuatorAxis\l::GetPositionSync" alt="" coords="259,115,405,162"/><area shape="rect" id="node12" href="classSmarActActuatorAxis.html#a4dea2ffa4e4dee139ec935f42188391f" title="SmarActActuatorAxis\l::GetStatusSync" alt="" coords="259,185,405,231"/><area shape="rect" id="node15" href="classSmarActActuatorAxis.html#a444646ac12c7fe62ea8b89ebfdff1065" title="SmarActActuatorAxis\l::StopSync" alt="" coords="484,245,631,291"/><area shape="rect" id="node19" href="classSmarActActuatorAxis.html#a18bcab4ee2856ef4c1e660511cb25546" title="use larger values to achieve premature stopping for coarse approach" alt="" coords="229,305,435,351"/><area shape="rect" id="node23" href="classSmarActActuatorAxis.html#a9ccdb179792d83464e4706c125488767" title="SmarActActuatorAxis\l::SetClosedLoopMoveSpeed" alt="" coords="239,374,425,421"/><area shape="rect" id="node5" href="classSmarActActuatorAxis.html#a05973d1934af4f04d075eb33a8d1911e" title="SmarActActuatorAxis\l::GotoSync" alt="" coords="681,125,828,171"/><area shape="rect" id="node10" href="classSmarActActuatorAxis.html#ab1cd474a89ce6b59c8fe9b7ba6891266" title="SmarActActuatorAxis\l::UpdateState" alt="" coords="484,125,631,171"/><area shape="rect" id="node21" href="classSmarActActuatorAxis.html#a22c770623f280b86e101cc5d78a3e0c9" title="SmarActActuatorAxis\l::SetOption" alt="" coords="484,343,631,390"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a736733290d8426a79e7d57249fae7dc1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString SmarActCommand::GetStatusDescription </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActCommand_a736733290d8426a79e7d57249fae7dc1_cgraph.png" border="0" usemap="#classSmarActCommand_a736733290d8426a79e7d57249fae7dc1_cgraph" alt=""/></div>
<map name="classSmarActCommand_a736733290d8426a79e7d57249fae7dc1_cgraph" id="classSmarActCommand_a736733290d8426a79e7d57249fae7dc1_cgraph">
<area shape="rect" id="node3" href="classSmarActResult.html#af94a142b9da64545a4b74abfa3efdafc" title="SmarActResult::GetDescription" alt="" coords="255,13,460,43"/><area shape="rect" id="node5" href="classSmarActResult.html#a3e1cedc13518b8e8e8b65ab4ab573326" title="SmarActResult::StatusMap" alt="" coords="511,13,692,43"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActCommand_a736733290d8426a79e7d57249fae7dc1_icgraph.png" border="0" usemap="#classSmarActCommand_a736733290d8426a79e7d57249fae7dc1_icgraph" alt=""/></div>
<map name="classSmarActCommand_a736733290d8426a79e7d57249fae7dc1_icgraph" id="classSmarActCommand_a736733290d8426a79e7d57249fae7dc1_icgraph">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html#a8d890c5c08575507135c8ad6c96ce7df" title="SmarActActuatorAxis\l::GotoAsync" alt="" coords="255,5,401,51"/><area shape="rect" id="node5" href="classSmarActActuatorAxis.html#a05973d1934af4f04d075eb33a8d1911e" title="SmarActActuatorAxis\l::GotoSync" alt="" coords="452,5,599,51"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a91c76eaca80819d476b5580e5ac314b1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double SmarActCommand::ResultValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActCommand_a91c76eaca80819d476b5580e5ac314b1_cgraph.png" border="0" usemap="#classSmarActCommand_a91c76eaca80819d476b5580e5ac314b1_cgraph" alt=""/></div>
<map name="classSmarActCommand_a91c76eaca80819d476b5580e5ac314b1_cgraph" id="classSmarActCommand_a91c76eaca80819d476b5580e5ac314b1_cgraph">
<area shape="rect" id="node3" href="classSmarActResult.html#a3b0df1bbccb0c2f134b385f1c383ace4" title="SmarActResult::Value" alt="" coords="267,5,419,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ac9c52396f6c035492beee52a024b6987"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool SmarActCommand::RetryOnceAllowed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActCommand_ac9c52396f6c035492beee52a024b6987_icgraph.png" border="0" usemap="#classSmarActCommand_ac9c52396f6c035492beee52a024b6987_icgraph" alt=""/></div>
<map name="classSmarActCommand_ac9c52396f6c035492beee52a024b6987_icgraph" id="classSmarActCommand_ac9c52396f6c035492beee52a024b6987_icgraph">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html#a8d890c5c08575507135c8ad6c96ce7df" title="SmarActActuatorAxis\l::GotoAsync" alt="" coords="513,5,660,51"/><area shape="rect" id="node7" href="classSmarActActuatorAxis.html#ac32df6ae546589def458798c5feb84da" title="SmarActActuatorAxis\l::GetPositionSync" alt="" coords="288,115,435,162"/><area shape="rect" id="node12" href="classSmarActActuatorAxis.html#a4dea2ffa4e4dee139ec935f42188391f" title="SmarActActuatorAxis\l::GetStatusSync" alt="" coords="288,185,435,231"/><area shape="rect" id="node15" href="classSmarActActuatorAxis.html#a444646ac12c7fe62ea8b89ebfdff1065" title="SmarActActuatorAxis\l::StopSync" alt="" coords="513,245,660,291"/><area shape="rect" id="node19" href="classSmarActActuatorAxis.html#a18bcab4ee2856ef4c1e660511cb25546" title="use larger values to achieve premature stopping for coarse approach" alt="" coords="259,305,464,351"/><area shape="rect" id="node23" href="classSmarActActuatorAxis.html#a9ccdb179792d83464e4706c125488767" title="SmarActActuatorAxis\l::SetClosedLoopMoveSpeed" alt="" coords="268,374,455,421"/><area shape="rect" id="node5" href="classSmarActActuatorAxis.html#a05973d1934af4f04d075eb33a8d1911e" title="SmarActActuatorAxis\l::GotoSync" alt="" coords="711,125,857,171"/><area shape="rect" id="node10" href="classSmarActActuatorAxis.html#ab1cd474a89ce6b59c8fe9b7ba6891266" title="SmarActActuatorAxis\l::UpdateState" alt="" coords="513,125,660,171"/><area shape="rect" id="node21" href="classSmarActActuatorAxis.html#a22c770623f280b86e101cc5d78a3e0c9" title="SmarActActuatorAxis\l::SetOption" alt="" coords="513,343,660,390"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a85967ae65fb61b8914afac5e6e0611d0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SA_STATUS SmarActCommand::Status </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActCommand_a85967ae65fb61b8914afac5e6e0611d0_cgraph.png" border="0" usemap="#classSmarActCommand_a85967ae65fb61b8914afac5e6e0611d0_cgraph" alt=""/></div>
<map name="classSmarActCommand_a85967ae65fb61b8914afac5e6e0611d0_cgraph" id="classSmarActCommand_a85967ae65fb61b8914afac5e6e0611d0_cgraph">
<area shape="rect" id="node3" href="classSmarActResult.html#acdb3c04a66542d2b2fe88ae11573604b" title="SmarActResult::Status" alt="" coords="232,5,389,35"/></map>
</div>
</p>

</div>
</div>
<h2>Member Data Documentation</h2>
<a class="anchor" id="ac66b03ef6a7b24b8edceb5ff89fbce16"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classSmarActResult.html">SmarActResult</a> SmarActCommand::_result</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="SmarActCommand_8hpp_source.html">SmarActCommand.hpp</a></li>
<li><a class="el" href="SmarActCommand_8cpp.html">SmarActCommand.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
